command :login do |c|
  c.syntax = 'iospro login'
  c.summary = 'Save account credentials'
  c.description = ''

  c.action do |args, options|
    say_warning "You are already authenticated" if Security::InternetPassword.find(:server => CupertinoPro::ProvisioningPortal::HOST)

    user = ask "Username:"
    pass = password "Password:"

    Security::InternetPassword.add(CupertinoPro::ProvisioningPortal::HOST, user, pass)

    say_ok "Account credentials saved"
  end
end
