command :logout do |c|
  c.syntax = 'iospro logout'
  c.summary = 'Remove account credentials'
  c.description = ''

  c.action do |args, options|
    say_error "You are not authenticated" and abort unless Security::InternetPassword.find(:server => CupertinoPro::ProvisioningPortal::HOST)

    Security::InternetPassword.delete(:server => CupertinoPro::ProvisioningPortal::HOST)

    say_ok "Account credentials removed"
  end
end
